const gulp = require('gulp');
const sass = require('gulp-sass'); // enable SASS
const cleanCSS = require('gulp-clean-css'); // minify css
const imagemin = require('gulp-imagemin'); // minify images
const concat = require('gulp-concat'); // concat js
const uglify = require('gulp-uglify'); // compress js
const htmlmin = require('gulp-htmlmin'); // minify html
const watch = require('gulp-watch'); // watch all files

gulp.task('sass', function(){
  return gulp.src('app/scss/style.scss')
	.pipe(sass())
	.pipe(cleanCSS({compatibility: 'ie8'}))
    .pipe(gulp.dest('dist/css'))
});

gulp.task('minify', function() {
  return gulp.src('app/*.html')
    .pipe(htmlmin({collapseWhitespace: true, removeComments: true}))
    .pipe(gulp.dest('dist'));
});

gulp.task('scripts', function() {
  return gulp.src(['app/js/vendor/*.js','app/js/scripts/*.js'])
    .pipe(uglify())
	.pipe(concat('main.js'))
	.pipe(gulp.dest('dist/js'))
});

gulp.task('imagemin', function() {
	gulp.src('app/images/*')
	.pipe(imagemin())
	.pipe(gulp.dest('dist/images'))
});

gulp.task('watch', function() {
	
	gulp.watch('app/scss/*.scss', gulp.series('sass'));
	gulp.watch('app/*.html', gulp.series('minify'));
	gulp.watch(['app/js/vendor/*.js','app/js/scripts/*.js'], gulp.series('scripts'));
	gulp.watch('app/images/*', gulp.series('imagemin'));
	
});